@echo off

rem ---------------------------------------------------------------------------
rem -- Full path of ltrserver.exe
set LTR_EXE=C:\Program Files\L-Card\ltrserver\ltrserver.exe

rem -- Service name
set SVC_NAME=ltrserver_srv

rem -- Possible values for SVC_START: SERVICE_AUTO_START, SERVICE_DEMAND_START
set SVC_START=SERVICE_AUTO_START

rem -- Allow service to interact with desktop?
set GUI=0
rem ---------------------------------------------------------------------------

set SYSDIR=%windir%\system32

if exist "%SYSDIR%\nssm.exe" (
    echo %SYSDIR%\nssm.exe already exists. Will not try to copy over it, check manually.
    echo Press Ctrl-C if you wish to exit.
    pause
) else (
    if %PROCESSOR_ARCHITECTURE%==x86 (
        copy nssm\win32\nssm.exe "%SYSDIR%\nssm.exe"
    ) else (
        copy nssm\win64\nssm.exe "%SYSDIR%\nssm.exe"
    )
    if errorlevel 1 (
        echo Cannot copy nssm.exe to %SYSDIR%
        pause
        exit/b
    )
)

nssm install %SVC_NAME% "%LTR_EXE%"
nssm set %SVC_NAME% AppStopMethodSkip 1
nssm set %SVC_NAME% AppExit Default Exit
nssm set %SVC_NAME% AppNoConsole 1
nssm set %SVC_NAME% Start %SVC_START%
if "%GUI%"=="1" nssm set %SVC_NAME% Type SERVICE_INTERACTIVE_PROCESS
